Package org.flowable.dmn.model

# Class InputClause

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.InputClause

public class InputClause extends DmnElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LiteralExpression`
  `inputExpression`
  `protected int`
  `inputNumber`
  `protected UnaryTests`
  `inputValues`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputClause()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LiteralExpression`
  `getInputExpression()`
  `int`
  `getInputNumber()`
  `UnaryTests`
  `getInputValues()`
  `void`
  `setInputExpression(LiteralExpression inputExpression)`
  `void`
  `setInputNumber(int inputNumber)`
  `void`
  `setInputValues(UnaryTests inputValues)`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### inputExpression

    protected LiteralExpression inputExpression

  - ### inputValues

    protected UnaryTests inputValues

  - ### inputNumber

    protected int inputNumber

- ## Constructor Details

  - ### InputClause

    public InputClause()

- ## Method Details

  - ### getInputExpression

    public LiteralExpression getInputExpression()

  - ### setInputExpression

    public void setInputExpression(LiteralExpression inputExpression)

  - ### getInputValues

    public UnaryTests getInputValues()

  - ### setInputValues

    public void setInputValues(UnaryTests inputValues)

  - ### getInputNumber

    public int getInputNumber()

  - ### setInputNumber

    public void setInputNumber(int inputNumber)